import { createApp } from 'vue'
import axios from './utils/http'
import VueAxios from 'vue-axios'
import VueCookies from "vue3-cookies";

import App from './App.vue'
import router from './router'
import admin from './store/admin/index.js'

import 'bootstrap/dist/css/bootstrap.min.css'
import 'bootstrap/dist/js/bootstrap.bundle.js'

const app = createApp(App)
router.app = app

app.use(router)
app.use(VueAxios, axios)
app.use(VueCookies)
app.use(admin)

app.mount('#app')
