import { createStore } from 'vuex';
import createPersistedState from "vuex-persistedstate";

export default createStore({
    plugins: [createPersistedState()],

    state: {
        user: {},
    },

    mutations: {
        UPDATE_USER(state, user ){
            state.user = user
        }
    },

    actions: {
        setUser(context, user) {
            context.commit('UPDATE_USER', user)
        }
    },

    getters: {
        getUser (state) {
            return state.user;
        }
    }
})
