import axios from 'axios'
import router from '@/router'

const instance = axios.create({
  baseURL: "http://localhost:8080/api/v1/",
  headers: {
    "Content-Type": "application/json",
  },
});

instance.interceptors.response.use(
    function (response) {
        console.log(response)
        return response;
    },

    function (error) {
        if (error.response.status === 401) {
            router.push({ name: 'AdminLogin' })
            return
        }

        return Promise.reject(error);
    }
);

export default instance
