package main

import (
	"net/http"

	"git.tovijaeschke.xyz/tovi/SuddenImpactRecords/Api"
	"git.tovijaeschke.xyz/tovi/SuddenImpactRecords/Database"
	"git.tovijaeschke.xyz/tovi/SuddenImpactRecords/Frontend"

	"github.com/gorilla/mux"
)

func main() {
	var (
		router *mux.Router
	)

	Database.Init()

	router = mux.NewRouter()

	Api.InitApiEndpoints(router)
	Frontend.InitFrontendRoutes(router)

	http.ListenAndServe(":8080", router)
}
